Documentation

创建视频生成任务(v1)

Last updated: Nov 4, 2026

POST
/v3/aigc/minimax/v1/video_generation

兼容 MiniMax v1 文生视频、图生视频、首尾帧视频。

返回任务 ID,可通过 v1 查询接口或 任务详情接口查询状态。

请求体说明

其余字段同 MiniMax v1 原生接口。

使用 TE 北京地域 API Key 鉴权。模型能力、调用约定见 MiniMax 接口概览。

Authorization

BearerAuth
headerAuthorizationBearer <token>

TE 北京地域 API Key,填写后自动添加 Bearer 前缀。

Request Body

application/json
  1. body
model*string

MiniMax-Hailuo-2.3、MiniMax-Hailuo-2.3-Fast、MiniMax-Hailuo-02

prompt?string

文本描述提示词

first_frame_image?string

首帧图片 URL,图生 / 首尾帧时传

last_frame_image?string

尾帧图片 URL,首尾帧时传

duration?integer

视频时长(秒)

resolution?string

分辨率,如 1080P

Response Body

成功;具体状态及结果见响应字段。

application/json
  1. response
task_id?string
base_resp?
curl -X POST 'https://vod.bj.baidubce.com/v3/aigc/minimax/v1/video_generation' \  -H 'Content-Type: application/json' \  -d '{  "model": "MiniMax-Hailuo-2.3",  "prompt": "A man picks up a book [Pedestal up], then reads [Static shot].",  "duration": 6,  "resolution": "1080P"}'
Example Response200
{  "task_id": "tsk-xxxxxxxxxxxxxxxx",  "base_resp": {    "status_code": 0,    "status_msg": "success"  }}